API DocumentationManufacturer customer organisation controller

Update a customer organization

PATCH
/api/manufacturer/v1/organisation/{organisationId}

Updates details of an existing customer organization

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Path Parameters

organisationId*integer

ID of the organization to update

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/api/manufacturer/v1/organisation/1" \  -H "Content-Type: application/json" \  -d '{    "clearPaymentTerm": true  }'
{  "id": 0,  "hasCustomPricing": true,  "name": "string",  "taxExempt": true,  "isApproved": true,  "customerType": "string",  "paymentTerm": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "accountingSystemTermId": "string"  },  "createdAt": "2019-08-24T14:15:22Z",  "updateDt": "2019-08-24T14:15:22Z",  "customers": [    {      "email": "string",      "customerId": 0,      "organisationId": 0,      "organisationName": "string",      "isApproved": true,      "firstName": "string",      "lastName": "string",      "phoneNumber": "string",      "notificationPreference": "string",      "discountId": 0,      "discountPercentage": 0,      "language": "string"    }  ],  "addresses": [    {      "addressId": 0,      "isBillingAddress": true,      "isShippingAddress": true,      "street1": "string",      "street2": "string",      "city": "string",      "state": "string",      "country": "string",      "countryAlpha2Code": "string",      "countryAlpha3Code": "string",      "jurisdictionIsoCode": "string",      "zip": "string",      "name": "string",      "company": "string",      "phone": "string",      "email": "string",      "residential": true,      "addressType": "string",      "isDeleted": true,      "taxId": "string"    }  ],  "encryptionKeyId": "string",  "firstTouchSource": "string",  "language": "string",  "accountingSystemId": "string",  "deleted": true,  "metadata": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "metadataKey": "string",      "value": "string"    }  ]}
Empty

Last updated on